#include <bits/stdc++.h>
using namespace std;
int N, Q, Ti, Ki, Xi, A[100005], P[100005], BP[302], BPp[302], Stepen, BPc, NajvS, P1[100005][35];

void Konstrukcija(){
	for(int i = 1; i <= N; i++)
		P[i] = 0;
		
	for(int i = 1; i <= N; i++){
		for(int j = 1; j <= N; j++){
			int tempOR = P[j] | A[i];
			int tempAND = P[j] & A[i];
			if(P[j] != tempOR){
			P[j] = tempOR;
			if(!tempAND)
			break;
			}
		}
	}
}

void Izmena(int Ki, int Xi){
	A[Ki] = Xi;
	Konstrukcija();	
}


int main(){
	scanf("%d", &N);
	for(int i = 1; i <= N; i++){
		scanf("%d", &A[i]);
	}
	Konstrukcija();
	scanf("%d", &Q);

	for(int i = 1; i <= Q; i++){
		scanf("%d", &Ti);
		if(Ti){
			scanf("%d %d", &Ki, &Xi);
			Izmena(Ki, Xi);
		}else{
			scanf("%d", &Ki);
			printf("%d\n", P[Ki]);
		}
	}
	
	return 0;
}